class Customer < ActiveRecord::Base

  validates_presence_of :name, :email, :phone, :address
  validates_numericality_of :debt

  protected

  def validate
    errors.add(:debt, "should be non-negative") if debt.nil? || debt < 0.00
  end

end
